<?php
/**
* 404 Page Settings.
*
* @package Agriculture Farm Lite
*/

$agriculture_farm_lite_default = agriculture_farm_lite_get_default_theme_options();

$wp_customize->add_section( 'agriculture_farm_lite_404_page_settings',
    array(
        'title'      => esc_html__( '404 Page Settings', 'agriculture-farm-lite' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'agriculture_farm_lite_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'agriculture_farm_lite_404_main_title',
    array(
        'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_404_main_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'agriculture_farm_lite_404_main_title',
    array(
        'label'    => esc_html__( '404 Main Title', 'agriculture-farm-lite' ),
        'section'  => 'agriculture_farm_lite_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'agriculture_farm_lite_404_subtitle_one',
    array(
        'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_404_subtitle_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'agriculture_farm_lite_404_subtitle_one',
    array(
        'label'    => esc_html__( '404 Sub Title One', 'agriculture-farm-lite' ),
        'section'  => 'agriculture_farm_lite_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'agriculture_farm_lite_404_para_one',
    array(
        'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_404_para_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'agriculture_farm_lite_404_para_one',
    array(
        'label'    => esc_html__( '404 Para Text One', 'agriculture-farm-lite' ),
        'section'  => 'agriculture_farm_lite_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'agriculture_farm_lite_404_subtitle_two',
    array(
        'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_404_subtitle_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'agriculture_farm_lite_404_subtitle_two',
    array(
        'label'    => esc_html__( '404 Sub Title Two', 'agriculture-farm-lite' ),
        'section'  => 'agriculture_farm_lite_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'agriculture_farm_lite_404_para_two',
    array(
        'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_404_para_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'agriculture_farm_lite_404_para_two',
    array(
        'label'    => esc_html__( '404 Para Text Two', 'agriculture-farm-lite' ),
        'section'  => 'agriculture_farm_lite_404_page_settings',
        'type'     => 'text',
    )
);